Instagram story viewer> @the___golden____boy> Posts
12K
followers
1769
following
🥊 Pro MMA Fighter
🤼 MMA & Kickboxing tips
⚡️ Manager: @alqaisimma
📍Phuket - @southsidemma_thailand
#yazeedhasanain #uaewarriors #pfl
POSTS STORIES REELS TAGGED
MISSION ACCOMPLISHED. 

Yazeed Hasaneen speaks after getting it done.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
49
a month ago
Download
🦅⚔️🔥 #mmafighter #mma #ufc #kungfu #boxing taken in Amman, Jordan by @the___golden____boy
101
3 years ago
Download
في كل مكان بالعالم #فلسطين#حرة 
#freepalestine🇵🇸 
@teiwazstrikinggym 
@teiwazstriking Thank you coach 🇵🇸🙏🏻 by @the___golden____boy
27
2 years ago
Download
🚨 احصائيات عربية قتالية لشهر سبتمبر 2026 🚨

تجدوا في الصفحة الثانية احصائيات لأفضل الدول العربية انتاجاً لخامات مقاتلي mma

الحساب سيكون تراكمي هذا العام كما هو موضح وسيتم تصفير العداد بداية العام القادم

بالتوفيق لجميع المقاتلين في أكتوبر 🔥

#statistics #mma101_بالعربي #fastest #slowest taken in Abu Dhabi, United Arab Emirates by @the___golden____boy
30
10 days ago
Download
They had something to settle.

The story started when Yazeed had to pull out of the first fight for medical reasons.

He came back for the second fight and proved he was ready for the challenge. 

The beef continued on social media, but the real answer came inside the cage.

Yazeed Hasanen vs Ahmad Yehya.

RFC002 started the story, RFC003 wrote the ending.

#RFC004 #RFC #MMA #Jordan #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
101
10 days ago
Download
أسماء مختلفة, عقلية وحدة.
Different names, One mindset.

Meet the faces of RFC.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
15
21 days ago
Download
لسا النار مولعة. 🔥
يزيد حسنين بعد النزال مباشرة.

Still fired up. 
Yazeed Hasanen, right after the fight.

‏#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
25
22 days ago
Download
The beef was personal.
The cage settled it. 

Yazeed Hasaneen came to make a statement.

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
16
a month ago
Download
🇯🇴🇯🇴🇯🇴 by @the___golden____boy
11
a month ago
Download
ليلة ولا ألف ليلة  بالأردن 🇯🇴 
مع احلى جمهور بالعالم 🤍

@rfc.rsg
@alqaisimma 
@southsidemma_thailand 
@fightlab_official 
@jarrahmma 
@ali_altamari99 taken in Amman, Jordan by @the___golden____boy
32
a month ago
Download
Alhamdulillah, last night was my night with a TKO in the first round. 👊

Thanks to Jordan for making the RFC 003 event a special one. @rfc.rsg 🇯🇴

Thanks to my sponsors, coaches, friends & family for the support! 🤲

@rfc.rsg 
@alqaisimma 
@jarrahmma 
@ali_altamari99 
@brunoazevedomma 
@southsidemma_thailand 
@fightlab_official taken in الاردن Jordan by @the___golden____boy
103
a month ago
Download
Target weight: CHECK. 

Yazeed Hasanen is locked in. 

#RFC003 #MMA #FightNight #RFC #RoyalFightingChampionship taken in Amman, Jordan by @the___golden____boy
33
a month ago
Download

Download All

Save the photos and videos currently loaded on this page.

0Photos
0Videos
Ready to download 0 / 0

Keep this tab open until your download is ready.

back to up